:root {
  /* Style Warna */
  --main-color: #0192d5;
  --main-accent-0: #419fed;
  --main-accent-1: #ddf0ff;
  --main-accent-2: #e8f2fa;

  /* Style Warna light & dark*/
  --dark-color: #393c47;
  --dark-accent-1: #c0c0c0;
  --light-color: #f1f1f1;
  --light-accent-1: #c4c7cc;

  /* Style Font*/
  --inter: "Inter", sans-serif;

  /* Shadwow */
  --smooth-shadow: 0 0.5rem 1rem rgba(74, 75, 78, 0.07);

  /* Source Aset */
  --img-hero: url("https://cdn.siap.id/s3/simpkb/asset%20img/guru-praktik-baik/bg-accent-paud2.png");
}

/* Global UI */
body {
  font-family: var(--inter);
}

li a {
  color: black;
}

ul li a:hover {
  color: var(--main-color) !important;
}

ul li a:active {
  background-color: var(--light-color) !important;
}

ul:not(nav ul) li,
li:not(nav li) {
  margin: 0.4rem auto;
}

p,
ul li {
  line-height: 1.8rem;
}

a {
  text-decoration: none;
  font-weight: 600;
}

.text-main {
  color: var(--main-color);
}

.btn-primary:hover {
  box-shadow: 0 0.5rem 0.6rem rgba(255, 128, 0, 0.17);
  transform: translateY(-0.2rem);
  transition: all 0.2s;
}

.btn-primary {
  --bs-btn-color: var(--light-color);
  --bs-btn-bg: var(--main-color);
  --bs-btn-border-color: var(--main-color);
  --bs-btn-hover-color: var(--light-color);
  --bs-btn-hover-bg: var(--main-color);
  --bs-btn-hover-border-color: var(--main-color);
  --bs-btn-active-color: var(--light-color);
  --bs-btn-active-bg: var(--main-accent-0);
  --bs-btn-active-border-color: var(--main-accent-0);
  --bs-btn-disabled-color: var(--dark-color);
  --bs-btn-disabled-bg: var(--light-accent-1);
  --bs-btn-disabled-border-color: var(--light-accent-1);
}

.btn-light {
  --bs-btn-color: var(--main-color);
  --bs-btn-bg: var(--main-accent-2);
  --bs-btn-border-color: none;
  --bs-btn-hover-color: var(--main-color);
  --bs-btn-hover-bg: var(--main-accent-1);
  --bs-btn-hover-border-color: #c6c7c8;
  --bs-btn-focus-shadow-rgb: 211, 212, 213;
  --bs-btn-active-color: var(--main-color);
  --bs-btn-active-bg: var(--main-accent-1);
  --bs-btn-active-border-color: #babbbc;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
}

.fw-semibold {
  font-weight: 500;
}

/* Section UI */
header .navbar.scrolled {
  box-shadow: var(--smooth-shadow);
  transition: all 0.4s;
}

header .nav-item.dropdown:hover .dropdown-menu {
  display: block;
}

header .nav-item a.nav-link:hover {
  color: var(--main-color) !important;
}

header nav ul li {
  line-height: normal;
}

.indent {
  padding-left: 28px !important;
}

.indent-list {
  text-indent: -20px;
  padding-left: 48px !important;
}

#home.bg-heroSec {
  background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 1)), var(--img-hero);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

#tujuan .nav-pills .nav-link.active {
  color: var(--main-color) !important;
  font-weight: bold;
  background-color: transparent !important;
}

#tujuan .nav-pills .nav-link {
  border-radius: 0.25rem;
  color: grey;
}

.nav-x {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  overflow-x: auto;
}

.nav-x li {
  align-self: center;
}

/* #jadwal {
  position: sticky;
  top: 100px;
} */

#jadwal ul {
  margin: 2.5em 0;
  padding: 0;
  list-style: none;
  display: block;
}

#jadwal ul li {
  margin-left: 1rem;
  min-height: 50px;
  border-left: 1px dashed var(--dark-accent-1);
  padding: 0 0 16px 30px;
  position: relative;
}

#jadwal ul li:last-child {
  border-left: 0;
}

#jadwal ul li::before {
  content: " ";
  position: absolute;
  left: -18px;
  top: -2px;
  border: 8px solid var(--main-accent-1);
  border-radius: 50%;
  background: var(--main-color);
  height: 35px;
  width: 35px;
  transition: all 500ms ease-in-out;
}

#jadwal ul li:hover::before {
  border-color: #fff;
  transition: all 600ms ease-in-out;
}

#jadwal ul li .timestamp {
  color: var(--main-color);
  position: relative;
}

.isi-step {
  display: flex;
  align-items: center;
  justify-content: center;
}

.bg-step {
  color: white;
  padding: 1rem 2rem 1rem 5rem;
  height: 10rem;
  width: 100%;
  position: relative;
  display: flex;
  align-items: start;
}

.bg-step:before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: -1px;
  border: solid transparent;
  border-left-color: #fff;
  border-width: 83px 40px;
}

.bg-step:after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  right: -80px;
  border: solid transparent;
  border-width: 80px 40px;
}

.row .col-lg-4:nth-child(1) .bg-step {
  background-color: #778cc4;
}

.row .col-lg-4:nth-child(2) .bg-step {
  background-color: #0fa798;
}

.row .col-lg-4:nth-child(3) .bg-step {
  background-color: #32ba6e;
}

.row .col-lg-4:nth-child(4) .bg-step {
  background-color: #f2c02b;
}

.row .col-lg-4:nth-child(5) .bg-step {
  background-color: #f29d36;
}

.row .col-lg-4:nth-child(6) .bg-step {
  background-color: #f3764a;
}

.row .col-lg-4:nth-child(7) .bg-step {
  background-color: #f34d4a;
}

.row .col-lg-4:nth-child(1) .bg-step::after {
  border-left-color: #778cc4;
}

.row .col-lg-4:nth-child(2) .bg-step::after {
  border-left-color: #0fa798;
}

.row .col-lg-4:nth-child(3) .bg-step::after {
  border-left-color: #32ba6e;
}

.row .col-lg-4:nth-child(4) .bg-step::after {
  border-left-color: #f2c02b;
}

.row .col-lg-4:nth-child(5) .bg-step::after {
  border-left-color: #f29d36;
}

.row .col-lg-4:nth-child(6) .bg-step::after {
  border-left-color: #f3764a;
}
.row .col-lg-4:nth-child(7) .bg-step::after {
  border-left-color: #f34d4a;
}

@media (max-width: 575.98px) {
  .bg-step {
    padding: 1rem 3rem;
    text-align: center;
    justify-content: center;
  }

  .bg-step:before {
    display: none !important;
  }
  .bg-step:after {
    right: 0;
    top: 159px;
    border-left-color: transparent !important;
    border-width: 47px 170px;
  }

  .row .col-lg-4:nth-child(1) .bg-step::after {
    border-top-color: #778cc4;
  }

  .row .col-lg-4:nth-child(2) .bg-step::after {
    border-top-color: #0fa798;
  }

  .row .col-lg-4:nth-child(3) .bg-step::after {
    border-top-color: #32ba6e;
  }

  .row .col-lg-4:nth-child(4) .bg-step::after {
    border-top-color: #f2c02b;
  }

  .row .col-lg-4:nth-child(5) .bg-step::after {
    border-top-color: #f29d36;
  }

  .row .col-lg-4:nth-child(6) .bg-step::after {
    border-top-color: #f3764a;
  }

  .row .col-lg-4:nth-child(7) .bg-step::after {
    border-top-color: #f34d4a;
  }
}

@media (max-width: 400px) {
  .bg-step:after {
    border-width: 47px 172px;
  }
}

.bg-bluelight {
  background-color: var(--main-color);
}

.scroll-button {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: rgba(0, 123, 255, 0.1);
  border: none;
  color: rgba(0, 123, 255, 1);
  padding: 10px;
  cursor: pointer;
  z-index: 1000;
  border-radius: 24px;
}
.scroll-button.hidden {
  opacity: 0;
  pointer-events: none;
}

.card-container{
  overflow: hidden;
}

.text-hover{
  text-decoration: none;
}

.text-hover:hover{
  text-decoration: underline;
}

@media (min-width: 1200px) {
  .card-container {
    margin: 0 auto;
    width: 1150px;
    overflow:hidden;
  }
  .scroll-button.left {
    left: 0px;
  }
  .scroll-button.right {
    right: 0px;
  }
}

@media (min-width: 992px) and (max-width: 1200px) {
  .card-container {
    margin: 0 auto;
    width: 768px;
    overflow:hidden;
  }
  .scroll-button.left {
    left: 24px;
  }
  .scroll-button.right {
    right: 24px;
  }
}

@media (min-width: 100px) and (max-width: 992px) {
  .card-container {
    margin: 0 auto;
    width: auto;
    overflow:auto;
    overflow-x: auto;
  }
  .scroll-button.left {
    display: none;
  }
  .scroll-button.right {
    display: none;
  }
}


